# Description

The adjacent selector matches all elements that are adjacent siblings of the specified element.

Sibling elements have the same parent. Adjacent elements for this selector means immediately following.

This selector has the form:

    E+F {
      properties
    }

# Examples

This example colors the text red for all paragraph elements that are immediately following `h1` elements, i.e. only the first paragraph after the heading would be selected.

    h1+p {
      color:red;
    }

    <h1>Heading</h1>
    <p>paragraph 1</p>
    <p>paragraph 2</p>
    <p>paragraph 3</p>

This produces the following output:

# Heading

paragraph 1

paragraph 2

paragraph 3

# Browser Support

Firefox | IE | Chrome | Opera | Safari

# Miscellaneous Information

Defined In: | CSS2